- Qt 6.6
- Qt GUI
- C++ Classes
- QRhiD3D12NativeHandles
- Qt 6.6.2 Reference Documentation

# QRhiD3D12NativeHandles Struct

Holds the D3D12 device used by the QRhi. More...

Header: | #include <QRhiD3D12NativeHandles>
CMake: | find_package(Qt6 REQUIRED COMPONENTS Gui) target_link_libraries(mytarget PRIVATE Qt6::Gui)
qmake: | QT += gui
Inherits: | QRhiNativeHandles

- List of all members, including inherited members

## Public Variables

qint32 | adapterLuidHigh
quint32 | adapterLuidLow
void * | commandQueue
void * | dev
int | minimumFeatureLevel

## Detailed Description

Note: The class uses `void *` as the type since including the COM-based `d3d12.h` headers is not acceptable here. The actual types are `ID3D12Device *` and `ID3D12CommandQueue *`.

Note: This is a RHI API with limited compatibility guarantees, see QRhi for details.

## Member Variable Documentation

### qint32 QRhiD3D12NativeHandles::adapterLuidHigh

### quint32 QRhiD3D12NativeHandles::adapterLuidLow

### void *QRhiD3D12NativeHandles::commandQueue

### void *QRhiD3D12NativeHandles::dev

### int QRhiD3D12NativeHandles::minimumFeatureLevel